 /**  
 *  @file  <calerror.h> 
 *  @brief define the error code
 *  
 *  This software and associated documentation files (the "Software") 
 *  are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *  All Rights Reserved. 
 *
 *  A copyright license is hereby granted for redistribution and use of 
 *  the Software in source and binary forms, with or without modification, 
 *  provided that the following conditions are met: 
 *  - Redistributions of source code must retain the above copyright notice, 
 *  this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 *    notice, this copyright license and the following disclaimer in the 
 *  documentation and/or other materials provided with the distribution. 
 *  - Neither the name of LiPS  nor the names of its Members may be used 
 *  to endorse or promote products derived from the Software without 
 *  specific prior written permission. 
 *
 *  A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *  to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *  distribute any implementation compliant with the any specification adopted 
 *  by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *  and non-discriminatory terms and conditions and under reciprocity, as 
 *  regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *  "AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *  AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *  ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *  POSSIBILITY OF SUCH DAMAGE. 
 */

#ifndef  __LIPS_CAL_ERR_H
#define  __LIPS_CAL_ERR_H


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/**
 *@brief The error code of calendaring and scheduling enabler ranges from -2001 to -3000.
 */  
typedef  enum {
  CAL_ERR_NONE               = 0,               /**<No error*/
  CAL_ERR_MEM_ALLOC         = -3000,            /**<Memory allocation error*/
  CAL_ERR_INVALID           = -2999,            /**<Invalid parameter */
  CAL_ERR_TOO_BIG				    =-2998,							/**<	Field value to set bigger than allowed*/
  CAL_ERR_NOT_FOUND         = -2997,            /**<Can't find the items specified*/
  CAL_ERR_UID               = -2996,            /**<Wrong uid value*/
  CAL_ERR_OUT_OF_RANGE       = -2995,           /**<Query index out of range*/
  CAL_ERR_DB                = -2994,						/**<Database operation error*/
  CAL_ERR_NOT_DONE          = -2993,            /**<There're other values to be got*/
  CAL_ERR_DB_TRANS          = -2992,            /**<Error in database operation*/
  CAL_ERR_INITIALIZE        = -2991,            /**<Error in initialization*/
  CAL_ERR_UNSUPPORTED        = -2990,           /**<Error in initialization*/
  CAL_ERR_NO_ALARM          = -2989,            /**<There's no alarm component*/
  CAL_ERR_MULTI_ALARMS      = -2988             /**<There're more than one alarm component*/
} cal_err_t;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __LIPS_CAL_ERR_H */

/*
vi:ts=2:nowrap:ai:expandtab
*/
