#include "caltype.h"
#include "calcomponent.h"

#define PROPSIZE 49

typedef struct  {
	cal_prop_type_t 			ptype;
	cal_prop_value_type_t vtype;
	gchar *label;
} property;

property  prop[PROPSIZE] =
	{
	  {CAL_ATTACHURI_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Attachment URI"},
		{CAL_ATTACHINLINE_PROPERTY, 		CAL_PROP_VALUE_TYPE_BINARY,  "Attachment"},
    {CAL_ATTENDEE_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Attendee"},
    {CAL_CATEGORIES_PROPERTY, 			CAL_PROP_VALUE_TYPE_STRING,  "Categories"},
		{CAL_CHANNEL_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Channel"},
    {CAL_CLASS_PROPERTY, 						CAL_PROP_VALUE_TYPE_INT32, 	 "Classification"}, 
    {CAL_COMMENT_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Comment"},   
    {CAL_COMPLETED_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Completed"},		
    {CAL_CONTACT_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Contact"},
    {CAL_CREATED_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Created"},	 	
    {CAL_DESCRIPTION_PROPERTY, 			CAL_PROP_VALUE_TYPE_STRING,  "Description"},
    {CAL_DTEND_PROPERTY, 						CAL_PROP_VALUE_TYPE_STRING,  "Dtend"},		 
    {CAL_DTSTAMP_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Dtstamp"},		
    {CAL_DTSTART_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Dtstart"},		
    {CAL_DUE_PROPERTY, 							CAL_PROP_VALUE_TYPE_STRING,  "Due"},		
    {CAL_DURATION_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Duration"},    
    {CAL_EXDATE_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Exception Date"},		
    {CAL_EXRULE_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Exception Rule"},			
    {CAL_FREEBUSY_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Freebusy"},		
    {CAL_GEO_PROPERTY, 							CAL_PROP_VALUE_TYPE_FLOAT,   "Geographic Position"},		
    {CAL_LASTMODIFIED_PROPERTY, 		CAL_PROP_VALUE_TYPE_STRING,  "Last Modified"},		
    {CAL_LOCATION_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Location"},
	  {CAL_METHOD_PROPERTY, 					CAL_PROP_VALUE_TYPE_INT32, 	 "Method"},
    {CAL_ORGANIZER_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Organizer"},
    {CAL_PERCENTCOMPLETE_PROPERTY, 	CAL_PROP_VALUE_TYPE_INT32, 	 "Percent Complete"},
    {CAL_PRIORITY_PROPERTY, 				CAL_PROP_VALUE_TYPE_INT32, 	 "Priority"},
    {CAL_RDATE_PROPERTY, 						CAL_PROP_VALUE_TYPE_STRING,  "Rdate"},		
    {CAL_RECURRENCEID_PROPERTY, 		CAL_PROP_VALUE_TYPE_STRING,  "Recurrence ID"},		
    {CAL_RELATEDTO_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Related To"},	
    {CAL_REQUESTSTATUS_PROPERTY, 		CAL_PROP_VALUE_TYPE_STRING,  "Request Status"},
    {CAL_RESOURCES_PROPERTY, 				CAL_PROP_VALUE_TYPE_STRING,  "Resources"},
    {CAL_RRULE_PROPERTY, 						CAL_PROP_VALUE_TYPE_STRING,  "Rrule"},
    {CAL_SEQUENCE_PROPERTY, 				CAL_PROP_VALUE_TYPE_INT32, 	 "Sequence"},
    {CAL_STATUS_PROPERTY, 					CAL_PROP_VALUE_TYPE_INT32, 	 "Status"}, 	
    {CAL_SUMMARY_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Summary"},
    {CAL_TRANSP_PROPERTY, 					CAL_PROP_VALUE_TYPE_INT32, 	 "Time Transparency"}, 
    {CAL_TZID_PROPERTY, 						CAL_PROP_VALUE_TYPE_STRING,  "Time Zone Identifier"},	
    {CAL_TZNAME_PROPERTY, 					CAL_PROP_VALUE_TYPE_STRING,  "Time Zone Name"},
    {CAL_TZOFFSETFROM_PROPERTY, 		CAL_PROP_VALUE_TYPE_INT32, 	 "Time Zone Offset From"},		
    {CAL_TZOFFSETTO_PROPERTY, 			CAL_PROP_VALUE_TYPE_INT32, 	 "Time Zone Offset to"},		
    {CAL_TZURL_PROPERTY, 						CAL_PROP_VALUE_TYPE_STRING,  "Time Zone URL"},
    {CAL_UID_PROPERTY, 							CAL_PROP_VALUE_TYPE_STRING,  "Unique Identifier"},
		{CAL_ALARM_ACTION_PROPERTY, 		CAL_PROP_VALUE_TYPE_INT32, 	 "Alarm Action"},
		{CAL_ALARM_REPEAT_PROPERTY, 		CAL_PROP_VALUE_TYPE_INT32, 	 "Repeat"},
		{CAL_ALARM_TRIGGER_PROPERTY, 		CAL_PROP_VALUE_TYPE_STRING,  "Trigger"},
		{CAL_ALARM_DURATION_PROPERTY, 	CAL_PROP_VALUE_TYPE_INT32, 	 "Duration"},
		{CAL_ALARM_DESCRIPTION_PROPERTY,	CAL_PROP_VALUE_TYPE_STRING,  "Description"},
		{CAL_ALARM_ATTACH_PROPERTY,			CAL_PROP_VALUE_TYPE_STRING,  "Attach"},
		{CAL_ALARM_ATTENDEE_PROPERTY,		CAL_PROP_VALUE_TYPE_STRING,  "Attendee"}
	};
